Subject: Re: bug#36167: [PATCH] Replace manually crafted hex regexes with [[:xdigit:]]

From: [email-masked]
Date: Tue, 11 Jun 2019 13:50:49 -0400

Eli Zaretskii <[email-masked]> writes:

>> > [0-9A-Fa-f] still has one advantage: the reader, and the
>> > writer, know exactly which characters are included without looking it up.
                                                        ^^^^^^^^^^^^^^^^^^^^^
>> > - whether non-ascii digits are accepted

>  ‘[:digit:]’
>       This matches ‘0’ through ‘9’.  Thus, ‘[-+[:digit:]]’ matches any
>       digit, as well as ‘+’ and ‘-’.

> Is anything missing here?  Where did the question about non-ASCII
> digits come from, given this text?

It came from (a hypothetical) user who doesn't remember (or hasn't read)
the documentation.  The advantage of [0-9A-Fa-f] vs [[:xdigit:]] here is
similar to explicit comparison against (point-min) vs (bobp) that you
pointed out in #35967.